Page MenuHomePhabricator

QuantityValueParser: Allow unit to be specified via options
Closed, ResolvedPublic

Description

QuantityValueParser should allow the quantity's unit to be fixed via the ParserOptions. If this option is set, providing a unit in the input string is considered an error.

The idea is to allow users to use a dedicated UI element for choosing a unit. The mechanism is the same we use for Calendars and Globes.

Related Objects

Event Timeline

daniel created this task.Dec 9 2014, 12:56 PM
daniel raised the priority of this task from to Normal.
daniel updated the task description. (Show Details)
daniel changed Security from none to None.
daniel added subscribers: Aklapper, daniel.
Snipre added a subscriber: Snipre.Feb 6 2015, 3:42 PM
Tobi_WMDE_SW moved this task from Backlog to Doing on the § Wikidata-Sprint-2015-02-25 board.
adrianheine closed this task as Resolved.Mar 3 2015, 11:28 AM
adrianheine added a subscriber: adrianheine.